CREATE TABLE PROFILE (
  NAME VARCHAR2(50) NOT NULL,
  PRIMARY KEY (NAME)
);

CREATE TABLE PROFILE_ENTRY (
  NAME VARCHAR2(50) NOT NULL,
  KEY VARCHAR2(50) NOT NULL,
  VALUE VARCHAR2(50)
);

CREATE TABLE PERSON (
  NAME VARCHAR2(50) NOT NULL,
  FIRST_NAME VARCHAR2(25) NOT NULL,
  LAST_NAME VARCHAR2(25) NOT NULL,
  PRIMARY KEY (NAME)
);

CREATE TABLE PROFILE_BIN (
  NAME VARCHAR2(50) NOT NULL,
  ENTRIES_BYTES BLOB NOT NULL,
  PRIMARY KEY (NAME)
);